# Ohjelmistotuotanto ja käytänteet 

**TTOS1000+TTOS1200 - AMK 2021 toteutus**

![](https://gitlab.labranet.jamk.fi/TTOS1000-TTOS1200/amk/-/raw/master/images/gahag-0055351852.png?inline=false)


## Yleisesti kurssista
|  |  |
|:-:|:-:|
| Kurssin tarjoava yksikkö     | JAMK, Teknologiayksikkö, IT-instituutti                     |
| Opettaja    | Marko "NarsuMan" Rintamäki - marko.rintamaki@jamk.fi - Työhuone D555 |
| Opettaja    | Juho Pekki - Työhuone D??? |
| Lukukausi   | Syksy 2021 - Työhuono D??? |
| Ryhmät       | JAMK 3. vuosikurssin Opiskelijat |
|Opintojaksokuvaus  |[PEPPI](https://opetussuunnitelmat.peppi.jamk.fi/fi/realization/TTOS1000-3001) | 
|Opintojakson hyväksiluku | [JAMK:n ohjeiden mukaisesti](https://opinto-oppaat.jamk.fi/fi/opinto-opas-amk/opiskelu/osaamisen-tunnistaminen-ja-tunnustaminen/) |

## Kurssin sisältö 

Opiskelija tietää ohjelmistotuotantoon peruskäsitteet ja tuntee yrityksissä yleisesti käytössä olevia toimintatapoja. 
Opiskelija soveltaa oppimaansa opintojakson aikana tehtävässä asiakasprojektissa. Opiskelija osallistuu ohjelmistoprojektiryhmän 
työn, jonka toimeksiantajana toimii ulkopuolinen ohjelmistoalan yritys. Projektin aikana käydään läpi projektin koko elinkaari.
Ryhmä toimii kurssi aikana mahdollisimman itsenäisesti.


## Mitä kurssilla opitaan?

Opiskelija perehtyy ohjelmistotuotannon peruskäsitteisiin ja tutustuu vierailuluentojen avulla yrityksissä käytössä oleviin toimintatapoihin. 
Opiskelija osallistuu ohjelmistoprojektin alkuvaiheisiin, joka käsittää sopimukset, projektisuunnittelun, määrittelytyön, toteutuksen ja testauksen.
Opiskelija hallitsee oleellisia ohjelmistotuotannon käytänteitä ja soveltaa niitä oman projektiryhmänsä tukena. 
Opiskelija ymmärtää projektiryhmässä työskentelyn tavat ja hyödyt. Opiskelija kykenee ryhmän osana tuottamaan asiakkaan tarpeeseen sopivan ratkaisun.

## Kurssin esittely YouTube-muodossa

**Tulossa**


## Analytiikka

Kurssisivun käyttöä valvotaan Google Analytics -palvelun avulla

## Aikataulu

* Opintojakso on avoinna 1.9.2022-15.3.2022 

## Kommunikointi ja työskentely kurssin aikana

* Kurssin ohjauksessa käytetään JAMK Office 365 TEAMS-palvelun kanavaa **TTOS1000+TTOS1200**
* Etäohjauksiin käytetään ZOOM -palvelua
* Kurssin materiaalien ja harjoitustehtävät suoritetaan Gitlab-ympäristössä

* [Kurssiarvioinnista tarkemmin täällä](yleiset/arviointiperusteet.md)

## Kurssin tietosuojakuvaus

* [Tietosuojakuvaus](yleiset/tietosuojakuvaus.md)

## Anna palautetta!

* [Kerro huolesi ja yritetään korjata!]()




<script type="text/javascript">
    window.doorbellOptions = {
        id: '2721',
        appKey: 'J4f5ej7aDxKaK2T3jwgLSEouCKsN8iLysLf03gb2y681nWbN1zCaV3nu1tjXCTDe'
    };
    (function(w, d, t) {
        var hasLoaded = false;
        function l() { if (hasLoaded) { return; } hasLoaded = true; window.doorbellOptions.windowLoaded = true; var g = d.createElement(t);g.id = 'doorbellScript';g.type = 'text/javascript';g.async = true;g.src = 'https://embed.doorbell.io/button/'+window.doorbellOptions['id']+'?t='+(new Date().getTime());(d.getElementsByTagName('head')[0]||d.getElementsByTagName('body')[0]).appendChild(g); }
        if (w.attachEvent) { w.attachEvent('onload', l); } else if (w.addEventListener) { w.addEventListener('load', l, false); } else { l(); }
        if (d.readyState == 'complete') { l(); }
    }(window, document, 'script'));
</script>


